.386

.MODEL SMALL, C

.STACK 100h

.DATA

start dd ?

.CODE

  PUBLIC StartTimer
  PUBLIC EndTimer

StartTimer proc         ; Well, it starts the timer

GetTime:
  db 0Fh                ; RDTSC... do you think any assembler would support this?
  db 31h
  cmp eax, 4294965296   ; 2^32 - 10 seconds on a P200
  ja GetTime
  mov [start], eax

StartTimer endp

EndTimer proc           ; Ends the timer, and returns number of ticks in EDX:EAX

  db 0Fh
  db 31h
  sub eax, [start]

EndTimer endp

END
